libbladeRF: VCTCXO Tamer Mode

| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
VCTCXO Tamer Mode
Low-level Functions

## Description

This group provides routines for controlling the VTCTXO tamer.

These functions are thread-safe.

## Enumerations
enum | bladerf_vctcxo_tamer_mode { BLADERF_VCTCXO_TAMER_INVALID = -1 , BLADERF_VCTCXO_TAMER_DISABLED = 0 , BLADERF_VCTCXO_TAMER_1_PPS = 1 , BLADERF_VCTCXO_TAMER_10_MHZ = 2 }

## Functions
API_EXPORT int CALL_CONV | bladerf_set_vctcxo_tamer_mode (struct bladerf *dev, bladerf_vctcxo_tamer_mode mode)
API_EXPORT int CALL_CONV | bladerf_get_vctcxo_tamer_mode (struct bladerf *dev, bladerf_vctcxo_tamer_mode *mode)

## Enumeration Type Documentation

## ◆ bladerf_vctcxo_tamer_mode

enum bladerf_vctcxo_tamer_mode

VCTCXO Tamer mode selection

These values control the use of header J71 pin 1 for taming the on-board VCTCXO to improve or sustain frequency accuracy.

When supplying input into the VCTCXO tamer, a 1.8V signal must be provided.

Warning
  IMPORTANT: Exceeding 1.8V on J71-1 can damage the associated FPGA I/O bank. Ensure that you provide only a 1.8V signal!

Enumerator
BLADERF_VCTCXO_TAMER_INVALID | Denotes an invalid selection or state
BLADERF_VCTCXO_TAMER_DISABLED | Do not attempt to tame the VCTCXO with an input source.
BLADERF_VCTCXO_TAMER_1_PPS | Use a 1 pps input source to tame the VCTCXO.
BLADERF_VCTCXO_TAMER_10_MHZ | Use a 10 MHz input source to tame the VCTCXO.

Definition at line 3580 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_get_vctcxo_tamer_mode()

API_EXPORT int CALL_CONV bladerf_get_vctcxo_tamer_mode | ( | struct bladerf * | dev,
|  | bladerf_vctcxo_tamer_mode * | mode )

Get the current VCTCXO tamer mode

Parameters

  | dev | Device handle
  [out] | mode | Current VCTCXO taming mode or BLADERF_VCTCXO_TAMER_INVALID if a failure occurs.

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_vctcxo_tamer_mode()

API_EXPORT int CALL_CONV bladerf_set_vctcxo_tamer_mode | ( | struct bladerf * | dev,
|  | bladerf_vctcxo_tamer_mode | mode )

Set the VCTCXO tamer mode.

Parameters

  | dev | Device handle
  [in] | mode | VCTCXO taming mode

Returns
  0 on success, value from Error codes list on failure